From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocm-comgr/
Date: Sun, 1 May 2022 08:44:45 +0000 (UTC) [thread overview]
Message-ID: <1651394678.ccc63180365ecb96cde53a5f8c36608653c7f030.heroxbd@gentoo> (raw)
commit: ccc63180365ecb96cde53a5f8c36608653c7f030
Author: YiyangWu <xgreenlandforwyy <AT> gmail <DOT> com>
AuthorDate: Mon Mar 7 15:13:15 2022 +0000
Commit: Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun May 1 08:44:38 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ccc63180
dev-libs/rocm-comgr: correct LLVM_PATH and HIP_PATH
Fixes comgr cannot find correct hipcc and llvm-roc clang include path.
Closes: https://github.com/gentoo/gentoo/pull/24439
Closes: https://bugs.gentoo.org/834674
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Yiyang Wu <xgreenlandforwyy <AT> gmail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>
dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild b/dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild
index 192ddca854e1..fcb897e2ab38 100644
--- a/dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild
+++ b/dev-libs/rocm-comgr/rocm-comgr-4.3.0-r1.ebuild
@@ -29,6 +29,12 @@ RDEPEND=">=dev-libs/rocm-device-libs-${PV}
>=sys-devel/llvm-roc-${PV}:="
DEPEND="${RDEPEND}"
+src_prepare() {
+ sed '/sys::path::append(HIPPath/s,"hip","lib/hip",' -i src/comgr-env.cpp || die
+ sed '/sys::path::append(LLVMPath/s,"llvm","lib/llvm/roc",' -i src/comgr-env.cpp || die
+ cmake_src_prepare
+}
+
src_configure() {
local mycmakeargs=(
-DLLD_DIR="${EPREFIX}/usr/lib/llvm/roc/lib/cmake/lld"
next reply other threads:[~2022-05-01 8:44 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-05-01 8:44 Benda XU [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-13 12:19 [gentoo-commits] repo/gentoo:master commit in: dev-libs/rocm-comgr/ Sam James
2025-02-13 9:04 Sam James
2025-02-13 8:38 Sam James
2024-07-28 8:00 Patrick Lauer
2024-03-08 19:26 Sam James
2023-12-23 10:43 罗百科
2023-10-19 10:38 罗百科
2023-02-22 16:16 Sam James
2023-02-02 12:58 Sam James
2023-02-02 12:54 Sam James
2022-12-20 9:26 罗百科
2022-10-15 15:18 Sam James
2021-08-19 19:46 Craig Andrews
2021-06-28 20:05 Craig Andrews
2021-03-28 21:20 Craig Andrews
2020-12-21 12:55 Craig Andrews
2020-12-06 19:04 Craig Andrews
2020-11-14 18:23 Craig Andrews
2020-11-14 18:23 Craig Andrews
2020-09-18 20:31 Craig Andrews
2020-08-22 18:59 Craig Andrews
2020-06-08 13:06 Craig Andrews
2020-04-01 19:33 Craig Andrews
2020-01-02 12:58 Craig Andrews
2019-12-29 22:22 Craig Andrews
2019-11-24 17:10 Craig Andrews
2019-10-05 14:32 Craig Andrews
2019-08-14 20:54 Craig Andrews
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1651394678.ccc63180365ecb96cde53a5f8c36608653c7f030.heroxbd@gentoo \
--to=heroxbd@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox